Brands

brands_list

Retrieves a list of accessible brands that belong to the user’s company.

Endpoint

GET /api/v1.5/brands/

Response

[{
  "uuid": "<uuid>",
  "name": "",
  "state": ""
},{
  "uuid": "<uuid>",
  "name": "",
  "state": ""
}]

Response Fields

Field

Type

Description

uuid

uuid

Unique identifier for the brand

name

string

Brand name

state

string

US state where the brand operates

brand_details

Get Brand Details.

Endpoint

GET /api/v1.5/brands/<uuid>/

Response

{
  "uuid": "<uuid>", 
  "name": "Test Brand", 
  "company": "Test Company", 
  "slug": "test-brand",
  "description":  "<description>", 
  "website": "<url>", 
  "updated_on": "2021-02-10T05:35:04.607692Z",
  "state":  "<state>",
  "country":  "<country>",
  "images": {
    "thumbnail": {
        "name": "",
        "url": "<url>",
        "mime_type": "image/jpeg",
        "size_bytes": 8919.0,
        "updated_on": "2020-06-18T07:59:08.886941Z"
    },
    "primary": {
        "name": "",
        "url": "<url>",
        "mime_type": "image/jpeg",
        "size_bytes": 8919.0,
        "updated_on": "2020-06-18T07:59:08.821675Z"
    },
    "banner": {
        "name": "",
        "url": "<url>",
        "mime_type": "image/jpeg",
        "size_bytes": 13867.0,
        "updated_on": "2020-06-18T07:59:08.932368Z"
    }
  }, 
  "brand_video": {
    "name": "",
    "url": "<url>",
    "mime_type": "",
    "size_bytes": "",
    "updated_on": "2021-02-10T05:35:04.607692Z",
    "uploaded_by": "",
    "description": "",
    "length_in_minutes": "",
    "video_source_link": "<url>"
  },
  "address": ""
}

Response Fields

Field

Type

Description

uuid

uuid

Unique identifier for the brand

name

string

Brand name

company

string

Company that owns the brand

slug

string

URL-friendly brand identifier

description

string

Brand description

website

string

Brand website URL

updated_on

datetime

When the brand was last updated

state

string

US state where the brand operates

country

string

Country where the brand operates

images

object

Brand images (thumbnail, primary, banner)

brand_video

object

Brand video with metadata

address

string

Brand physical address